
#include <cflow.h>

#include <ctype.h>

void print_symbol_type1 (FILE *outfile, Symbol *sym) {
    if (sym->decl)
        fprintf (outfile, "%s, <%s %d>", sym->decl, sym->source, sym->def_line);
    else
        fprintf (outfile, "<>");
}

int print_symbol2 (FILE *outfile, int line, struct output_symbol *s) {
    print_level (s -> level, s -> last);
    fprintf (outfile, "%s: ", s -> sym -> name);
    if (brief_listing) {
        if (s->sym->expand_line) {
            fprintf (outfile, "%d", s -> sym -> expand_line);
            return 1;
        }
        else if (s->sym->callee)
            s->sym->expand_line = line;
    }
    print_symbol_type1 (outfile, s -> sym);
    return 0;
}

int posix_output_handler (cflow_output_command cmd, FILE *outfile, int line, void *data, void *handler_data) {
    switch (cmd) {
    case cflow_output_init :
        if (emacs_option)
            error (1, 0, _ ("--format=posix is not compatible with --emacs"));
        brief_listing = print_line_numbers = omit_symbol_names_option = 1;
        break;
    case cflow_output_begin :
    case cflow_output_end :
    case cflow_output_separator :
        break;
    case cflow_output_newline :
        fprintf (outfile, "\n");
        break;
    case cflow_output_text :
        fprintf (outfile, "%s", (char *) data);
        break;
    case cflow_output_symbol :
        return print_symbol2 (outfile, line, data);
    }
    return 0;
}

